curl
curl -X PUT https://api.expys.com/v1/members/<externalUserID> \
-H "Authorization: Bearer YOUR_ORG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"attributes": {},
"displayName": "string",
"tier": "string"
}'import requests
url = "https://api.expys.com/v1/members/{externalUserID}"
payload = {
"attributes": {},
"displayName": "<string>",
"tier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {}, displayName: '<string>', tier: '<string>'})
};
fetch('https://api.expys.com/v1/members/{externalUserID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": {},
"displayName": "<string>",
"externalUserID": "<string>",
"tier": "<string>"
}Members
Upsert a VIP member's tier and profile
PUT
/
v1
/
members
/
{externalUserID}
curl
curl -X PUT https://api.expys.com/v1/members/<externalUserID> \
-H "Authorization: Bearer YOUR_ORG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"attributes": {},
"displayName": "string",
"tier": "string"
}'import requests
url = "https://api.expys.com/v1/members/{externalUserID}"
payload = {
"attributes": {},
"displayName": "<string>",
"tier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {}, displayName: '<string>', tier: '<string>'})
};
fetch('https://api.expys.com/v1/members/{externalUserID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": {},
"displayName": "<string>",
"externalUserID": "<string>",
"tier": "<string>"
}Authorizations
ApiKeyBearerApiKeyHeader
Org-API-Key as a Bearer token.
Path Parameters
Minimum string length:
1⌘I